avr-libc-dev
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [avr-libc-dev] [bugs #4101] setjmp/longjmp destroy changes in global


From: Dmitry K.
Subject: Re: [avr-libc-dev] [bugs #4101] setjmp/longjmp destroy changes in global registers
Date: Fri, 14 Jan 2005 11:00:12 +1000
User-agent: KMail/1.5

On Friday 14 January 2005 08:58, Dmitry K. wrote:
> On Friday 14 January 2005 08:00, you wrote:
> > What is the expected result from the testsuite?  It bails out for me
> > at:
> >
> > -------- Preservation call-saved regs:  at90s2313 -O1
> >
> > Simulating a at90s2313 device.
> >
> > WARNING: file avrcore.c: line 1135: Device does not have PORTC.
> > *** Simulate: exit with non-zero code

> Yes! Test work!
Ambiguous phrase. I had in view of, that the test has found out
a mistake and has stopped.

Also, you can try old setjmp (from your's library). To do it,
clear value in definition `setjmp_S=setjmp.S'.
In this case test must stop on above section -- "Avoiding of
global regs (bug #4101)"

> I use avr-gcc 3.3 branch only.
> I try 3.4.1: generated code differ !!!
[...]
> Thanks, I will look, why it is.
Not quickly. I have look avr config directory.
No setjmp-related diffirences between 3.3 and 3.4.1 ...

Dmitry.

P.S.
A small mistake in `setjmp-tst.sh':
    if ! ./$bname.exe ; then
        echo >&2 "*** Run on host: exit with $?"
        exit 1
    fi
It type error message and exit, but it do not type
return code of `./$bname.exe'.
Better:
    ./$bname.exe || {
        echo >&2 "*** Run test of test: exit with $?" ;
        exit 1 ;
    }





reply via email to

[Prev in Thread] Current Thread [Next in Thread]